Zydis: ZydisFormatter_ Struct Reference

Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisFormatter_ Struct Reference

Context structure keeping track of internal state of the formatter. More...

`#include <Formatter.h>`

## Data Fields
ZydisFormatterStyle | style
| The formatter style.
ZyanBool | force_memory_size
| The ZYDIS_FORMATTER_PROP_FORCE_SIZE property.
ZyanBool | force_memory_segment
| The ZYDIS_FORMATTER_PROP_FORCE_SEGMENT property.
ZyanBool | force_memory_scale
| The ZYDIS_FORMATTER_PROP_FORCE_SCALE_ONE property.
ZyanBool | force_relative_branches
| The ZYDIS_FORMATTER_PROP_FORCE_RELATIVE_BRANCHES property.
ZyanBool | force_relative_riprel
| The ZYDIS_FORMATTER_PROP_FORCE_RELATIVE_RIPREL property.
ZyanBool | print_branch_size
| The ZYDIS_FORMATTER_PROP_PRINT_BRANCH_SIZE property.
ZyanBool | detailed_prefixes
| The ZYDIS_FORMATTER_PROP_DETAILED_PREFIXES property.
ZydisNumericBase | addr_base
| The ZYDIS_FORMATTER_PROP_ADDR_BASE property.
ZydisSignedness | addr_signedness
| The ZYDIS_FORMATTER_PROP_ADDR_SIGNEDNESS property.
ZydisPadding | addr_padding_absolute
| The ZYDIS_FORMATTER_PROP_ADDR_PADDING_ABSOLUTE property.
ZydisPadding | addr_padding_relative
| The ZYDIS_FORMATTER_PROP_ADDR_PADDING_RELATIVE property.
ZydisNumericBase | disp_base
| The ZYDIS_FORMATTER_PROP_DISP_BASE property.
ZydisSignedness | disp_signedness
| The ZYDIS_FORMATTER_PROP_DISP_SIGNEDNESS property.
ZydisPadding | disp_padding
| The ZYDIS_FORMATTER_PROP_DISP_PADDING property.
ZydisNumericBase | imm_base
| The ZYDIS_FORMATTER_PROP_IMM_BASE property.
ZydisSignedness | imm_signedness
| The ZYDIS_FORMATTER_PROP_IMM_SIGNEDNESS property.
ZydisPadding | imm_padding
| The ZYDIS_FORMATTER_PROP_IMM_PADDING property.
ZyanI32 | case_prefixes
| The ZYDIS_FORMATTER_PROP_UPPERCASE_PREFIXES property.
ZyanI32 | case_mnemonic
| The ZYDIS_FORMATTER_PROP_UPPERCASE_MNEMONIC property.
ZyanI32 | case_registers
| The ZYDIS_FORMATTER_PROP_UPPERCASE_REGISTERS property.
ZyanI32 | case_typecasts
| The ZYDIS_FORMATTER_PROP_UPPERCASE_TYPECASTS property.
ZyanI32 | case_decorators
| The ZYDIS_FORMATTER_PROP_UPPERCASE_DECORATORS property.
ZyanBool | hex_uppercase
| The ZYDIS_FORMATTER_PROP_HEX_UPPERCASE property.
ZyanBool | hex_force_leading_number
| The ZYDIS_FORMATTER_PROP_HEX_FORCE_LEADING_NUMBER property.
struct { |
const ZyanStringView * string |
| A pointer to the ZyanStringView to use as prefix/suffix. More...
ZyanStringView string_data |
| The ZyanStringView to use as prefix/suffix. More...
char buffer [11] |
| The actual string data. More...
} | number_format [ZYDIS_NUMERIC_BASE_MAX_VALUE+1][2]
| The number formats for all numeric bases.
ZydisFormatterFunc | func_pre_instruction
| The ZYDIS_FORMATTER_FUNC_PRE_INSTRUCTION function.
ZydisFormatterFunc | func_post_instruction
| The ZYDIS_FORMATTER_FUNC_POST_INSTRUCTION function.
ZydisFormatterFunc | func_format_instruction
| The ZYDIS_FORMATTER_FUNC_FORMAT_INSTRUCTION function.
ZydisFormatterFunc | func_pre_operand
| The ZYDIS_FORMATTER_FUNC_PRE_OPERAND function.
ZydisFormatterFunc | func_post_operand
| The ZYDIS_FORMATTER_FUNC_POST_OPERAND function.
ZydisFormatterFunc | func_format_operand_reg
| The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_REG function.
ZydisFormatterFunc | func_format_operand_mem
| The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_MEM function.
ZydisFormatterFunc | func_format_operand_ptr
| The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_PTR function.
ZydisFormatterFunc | func_format_operand_imm
| The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_IMM function.
ZydisFormatterFunc | func_print_mnemonic
| The `ZYDIS_FORMATTER_FUNC_PRINT_MNEMONIC function.
ZydisFormatterRegisterFunc | func_print_register
| The ZYDIS_FORMATTER_FUNC_PRINT_REGISTER function.
ZydisFormatterFunc | func_print_address_abs
| The ZYDIS_FORMATTER_FUNC_PRINT_ADDRESS_ABS function.
ZydisFormatterFunc | func_print_address_rel
| The ZYDIS_FORMATTER_FUNC_PRINT_ADDRESS_REL function.
ZydisFormatterFunc | func_print_disp
| The ZYDIS_FORMATTER_FUNC_PRINT_DISP function.
ZydisFormatterFunc | func_print_imm
| The ZYDIS_FORMATTER_FUNC_PRINT_IMM function.
ZydisFormatterFunc | func_print_typecast
| The ZYDIS_FORMATTER_FUNC_PRINT_TYPECAST function.
ZydisFormatterFunc | func_print_segment
| The ZYDIS_FORMATTER_FUNC_PRINT_SEGMENT function.
ZydisFormatterFunc | func_print_prefixes
| The ZYDIS_FORMATTER_FUNC_PRINT_PREFIXES function.
ZydisFormatterDecoratorFunc | func_print_decorator
| The ZYDIS_FORMATTER_FUNC_PRINT_DECORATOR function.

## Detailed Description

Context structure keeping track of internal state of the formatter.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

Do NOT change the order of the function fields or the values of the ZydisFormatterFunction enum.

## Field Documentation

## ◆ addr_base

ZydisNumericBase addr_base

The ZYDIS_FORMATTER_PROP_ADDR_BASE property.

## ◆ addr_padding_absolute

ZydisPadding addr_padding_absolute

The ZYDIS_FORMATTER_PROP_ADDR_PADDING_ABSOLUTE property.

## ◆ addr_padding_relative

ZydisPadding addr_padding_relative

The ZYDIS_FORMATTER_PROP_ADDR_PADDING_RELATIVE property.

## ◆ addr_signedness

ZydisSignedness addr_signedness

The ZYDIS_FORMATTER_PROP_ADDR_SIGNEDNESS property.

## ◆ buffer

char buffer[11]

The actual string data.

## ◆ case_decorators

ZyanI32 case_decorators

The ZYDIS_FORMATTER_PROP_UPPERCASE_DECORATORS property.

## ◆ case_mnemonic

ZyanI32 case_mnemonic

The ZYDIS_FORMATTER_PROP_UPPERCASE_MNEMONIC property.

## ◆ case_prefixes

ZyanI32 case_prefixes

The ZYDIS_FORMATTER_PROP_UPPERCASE_PREFIXES property.

## ◆ case_registers

ZyanI32 case_registers

The ZYDIS_FORMATTER_PROP_UPPERCASE_REGISTERS property.

## ◆ case_typecasts

ZyanI32 case_typecasts

The ZYDIS_FORMATTER_PROP_UPPERCASE_TYPECASTS property.

## ◆ detailed_prefixes

ZyanBool detailed_prefixes

The ZYDIS_FORMATTER_PROP_DETAILED_PREFIXES property.

## ◆ disp_base

ZydisNumericBase disp_base

The ZYDIS_FORMATTER_PROP_DISP_BASE property.

## ◆ disp_padding

ZydisPadding disp_padding

The ZYDIS_FORMATTER_PROP_DISP_PADDING property.

## ◆ disp_signedness

ZydisSignedness disp_signedness

The ZYDIS_FORMATTER_PROP_DISP_SIGNEDNESS property.

## ◆ force_memory_scale

ZyanBool force_memory_scale

The ZYDIS_FORMATTER_PROP_FORCE_SCALE_ONE property.

## ◆ force_memory_segment

ZyanBool force_memory_segment

The ZYDIS_FORMATTER_PROP_FORCE_SEGMENT property.

## ◆ force_memory_size

ZyanBool force_memory_size

The ZYDIS_FORMATTER_PROP_FORCE_SIZE property.

## ◆ force_relative_branches

ZyanBool force_relative_branches

The ZYDIS_FORMATTER_PROP_FORCE_RELATIVE_BRANCHES property.

## ◆ force_relative_riprel

ZyanBool force_relative_riprel

The ZYDIS_FORMATTER_PROP_FORCE_RELATIVE_RIPREL property.

## ◆ func_format_instruction

ZydisFormatterFunc func_format_instruction

The ZYDIS_FORMATTER_FUNC_FORMAT_INSTRUCTION function.

## ◆ func_format_operand_imm

ZydisFormatterFunc func_format_operand_imm

The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_IMM function.

## ◆ func_format_operand_mem

ZydisFormatterFunc func_format_operand_mem

The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_MEM function.

## ◆ func_format_operand_ptr

ZydisFormatterFunc func_format_operand_ptr

The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_PTR function.

## ◆ func_format_operand_reg

ZydisFormatterFunc func_format_operand_reg

The ZYDIS_FORMATTER_FUNC_FORMAT_OPERAND_REG function.

## ◆ func_post_instruction

ZydisFormatterFunc func_post_instruction

The ZYDIS_FORMATTER_FUNC_POST_INSTRUCTION function.

## ◆ func_post_operand

ZydisFormatterFunc func_post_operand

The ZYDIS_FORMATTER_FUNC_POST_OPERAND function.

## ◆ func_pre_instruction

ZydisFormatterFunc func_pre_instruction

The ZYDIS_FORMATTER_FUNC_PRE_INSTRUCTION function.

## ◆ func_pre_operand

ZydisFormatterFunc func_pre_operand

The ZYDIS_FORMATTER_FUNC_PRE_OPERAND function.

## ◆ func_print_address_abs

ZydisFormatterFunc func_print_address_abs

The ZYDIS_FORMATTER_FUNC_PRINT_ADDRESS_ABS function.

## ◆ func_print_address_rel

ZydisFormatterFunc func_print_address_rel

The ZYDIS_FORMATTER_FUNC_PRINT_ADDRESS_REL function.

## ◆ func_print_decorator

ZydisFormatterDecoratorFunc func_print_decorator

The ZYDIS_FORMATTER_FUNC_PRINT_DECORATOR function.

## ◆ func_print_disp

ZydisFormatterFunc func_print_disp

The ZYDIS_FORMATTER_FUNC_PRINT_DISP function.

## ◆ func_print_imm

ZydisFormatterFunc func_print_imm

The ZYDIS_FORMATTER_FUNC_PRINT_IMM function.

## ◆ func_print_mnemonic

ZydisFormatterFunc func_print_mnemonic

The `ZYDIS_FORMATTER_FUNC_PRINT_MNEMONIC function.

## ◆ func_print_prefixes

ZydisFormatterFunc func_print_prefixes

The ZYDIS_FORMATTER_FUNC_PRINT_PREFIXES function.

## ◆ func_print_register

ZydisFormatterRegisterFunc func_print_register

The ZYDIS_FORMATTER_FUNC_PRINT_REGISTER function.

## ◆ func_print_segment

ZydisFormatterFunc func_print_segment

The ZYDIS_FORMATTER_FUNC_PRINT_SEGMENT function.

## ◆ func_print_typecast

ZydisFormatterFunc func_print_typecast

The ZYDIS_FORMATTER_FUNC_PRINT_TYPECAST function.

## ◆ hex_force_leading_number

ZyanBool hex_force_leading_number

The ZYDIS_FORMATTER_PROP_HEX_FORCE_LEADING_NUMBER property.

## ◆ hex_uppercase

ZyanBool hex_uppercase

The ZYDIS_FORMATTER_PROP_HEX_UPPERCASE property.

## ◆ imm_base

ZydisNumericBase imm_base

The ZYDIS_FORMATTER_PROP_IMM_BASE property.

## ◆ imm_padding

ZydisPadding imm_padding

The ZYDIS_FORMATTER_PROP_IMM_PADDING property.

## ◆ imm_signedness

ZydisSignedness imm_signedness

The ZYDIS_FORMATTER_PROP_IMM_SIGNEDNESS property.

## ◆ [struct]

struct { ... } number_format[ZYDIS_NUMERIC_BASE_MAX_VALUE + 1][2]

The number formats for all numeric bases.

Index 0 = prefix Index 1 = suffix

## ◆ print_branch_size

ZyanBool print_branch_size

The ZYDIS_FORMATTER_PROP_PRINT_BRANCH_SIZE property.

## ◆ string

const ZyanStringView* string

A pointer to the ZyanStringView to use as prefix/suffix.

## ◆ string_data

ZyanStringView string_data

The ZyanStringView to use as prefix/suffix.

## ◆ style

ZydisFormatterStyle style

The formatter style.

The documentation for this struct was generated from the following file:

- include/Zydis/Formatter.h